Package net.snowflake.client.core.auth.oauth

## Class OAuthAccessTokenForRefreshTokenProvider

- java.lang.Object
- - net.snowflake.client.core.auth.oauth.OAuthAccessTokenForRefreshTokenProvider

All Implemented Interfaces:
  `AccessTokenProvider`

    @SnowflakeJdbcInternalApi
    public class OAuthAccessTokenForRefreshTokenProvider
    extends Object
    implements AccessTokenProvider

### Constructor Summary

Constructors
`OAuthAccessTokenForRefreshTokenProvider()`

### Method Summary

All Methods Instance Methods Concrete Methods
`TokenResponseDTO` `getAccessToken​(SFLoginInput loginInput)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### OAuthAccessTokenForRefreshTokenProvider

    public OAuthAccessTokenForRefreshTokenProvider()

### Method Detail

#### getAccessToken

    public TokenResponseDTO getAccessToken​(SFLoginInput loginInput)
                                    throws SFException

Specified by:
  `getAccessToken` in interface `AccessTokenProvider`
Throws:
  `SFException`